

package gov.va.med.cds.logger;


import org.apache.commons.logging.Log;


public class LogApplicationLogger
    implements
        ApplicationLoggerInterface
{
    private Log logger = null;


    public LogApplicationLogger( Log logger )
    {
        this.logger = logger;
    }


    public void logMessage( Exception ex )
    {
        this.logger.error( ex );
    }


    public void logMessage( String message, Exception ex )
    {
        this.logger.error( message, ex );
    }


    public void setLogger( Log log )
    {
        this.logger = log;
    }
}
